@protocol IO2GOfferRow <IO2GRow>
    - (NSString*) getOfferID;
    - (NSString*) getInstrument;
    - (NSString*) getQuoteID;
    - (double) getBid;
    - (double) getAsk;
    - (double) getLow;
    - (double) getHigh;
    - (int) getVolume;
    - (DATE) getTime;
    - (NSString*) getBidTradable;
    - (NSString*) getAskTradable;
    - (double) getSellInterest;
    - (double) getBuyInterest;
    - (NSString*) getContractCurrency;
    - (int) getDigits;
    - (double) getPointSize;
    - (NSString*) getSubscriptionStatus;
    - (int) getInstrumentType;
    - (int) getContractMultiplier;
    - (NSString*) getTradingStatus;
    - (NSString*) getValueDate;
    - (NSString*) getBidID;
    - (NSString*) getAskID;
    - (DATE) getBidExpireDate;
    - (DATE) getAskExpireDate;
    - (double) getDividendSell;
    - (double) getDividendBuy;

    - (BOOL) isOfferIDValid;
    - (BOOL) isInstrumentValid;
    - (BOOL) isQuoteIDValid;
    - (BOOL) isBidValid;
    - (BOOL) isAskValid;
    - (BOOL) isLowValid;
    - (BOOL) isHighValid;
    - (BOOL) isVolumeValid;
    - (BOOL) isTimeValid;
    - (BOOL) isBidTradableValid;
    - (BOOL) isAskTradableValid;
    - (BOOL) isSellInterestValid;
    - (BOOL) isBuyInterestValid;
    - (BOOL) isContractCurrencyValid;
    - (BOOL) isDigitsValid;
    - (BOOL) isPointSizeValid;
    - (BOOL) isSubscriptionStatusValid;
    - (BOOL) isInstrumentTypeValid;
    - (BOOL) isContractMultiplierValid;
    - (BOOL) isTradingStatusValid;
    - (BOOL) isValueDateValid;
    - (BOOL) isBidIDValid;
    - (BOOL) isAskIDValid;
    - (BOOL) isBidExpireDateValid;
    - (BOOL) isAskExpireDateValid;
    - (BOOL) isDividendSellValid;
    - (BOOL) isDividendBuyValid;

@end

@protocol IO2GOfferTableRow <IO2GOfferRow>
    - (double) getPipCost;
    - (int) getBidChangeDirection;
    - (int) getAskChangeDirection;
    - (int) getHiChangeDirection;
    - (int) getLowChangeDirection;
    - (int) getDefaultSortOrder;
    - (int) getFractionalPipSize;
    - (BOOL) isBidChangeDirectionValid;
    - (BOOL) isAskChangeDirectionValid;
    - (BOOL) isHiChangeDirectionValid;
    - (BOOL) isLowChangeDirectionValid;
    - (BOOL) isDefaultSortOrderValid;
    - (BOOL) isFractionalPipSizeValid;


@end

